package prolog.ast.logic

import prolog.Substitutions
import prolog.ast.terms.Head
import prolog.builtins.True
import prolog.logic.applySubstitution

class Fact(head: Head) : Clause(head, True) {
    override fun applySubstitution(subs: Substitutions): Fact = Fact(applySubstitution(head, subs) as Head)
}
